## org.codehaus.plexus.util.xml
Interface XMLWriter

All Known Implementing Classes:
  CompactXMLWriter, PrettyPrintXMLWriter, SerializerXMLWriter

    public interface XMLWriter

Version:
  $Id: XMLWriter.java 8010 2009-01-07 12:59:50Z vsiveton $

Method Summary
`void` `addAttribute(java.lang.String key, java.lang.String value)`
`void` `endElement()`
`void` `startElement(java.lang.String name)`
`void` `writeMarkup(java.lang.String text)`
`void` `writeText(java.lang.String text)`

Method Detail

### startElement

    void startElement(java.lang.String name)

### addAttribute

    void addAttribute(java.lang.String key,
                      java.lang.String value)

### writeText

    void writeText(java.lang.String text)

### writeMarkup

    void writeMarkup(java.lang.String text)

### endElement

    void endElement()